Fetch CDD request screening matches
curl --request GET \
--url https://sigmacdd.sabipay.com/api/v1/cdd-request/{id}/matches \
--header 'apiKey: <api-key>' \
--header 'apiSecret: <api-key>'import requests
url = "https://sigmacdd.sabipay.com/api/v1/cdd-request/{id}/matches"
headers = {
"apiKey": "<api-key>",
"apiSecret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', apiSecret: '<api-key>'}};
fetch('https://sigmacdd.sabipay.com/api/v1/cdd-request/{id}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "CDD request matches retrieved successfully",
"data": {
"_id": "6a465fb16cbbee64ab3e9027",
"type": "individual",
"pep": [
{
"_id": "662f9308d2b06e101bde0609",
"externalId": "Q35536706",
"type": "pep",
"name": "Sunday Oladimeji",
"aliases": [
"SUNDAY AYODELE OLADIMEJI",
" SUNDAY OLADIMEJI",
" Sunday AYODELE Oladimeji"
],
"birth_date": "1963",
"countries": [
"ng"
],
"entityType": "Person",
"gender": "male",
"politicalParty": [
"Peoples Democratic Party"
],
"positions": [
{
"title": "member of the House of Representatives of Nigeria representing Ado Ekiti/Irepodun/Ifelodun Federal Constituency",
"startDate": "2015-06-09",
"endDate": "2019-06-09",
"_id": "67114ac12a90d63da3cd4698"
}
],
"education": [
{
"title": "Bachelor's degree in Accounting University of Lagos",
"startDate": null,
"endDate": "1987",
"_id": "67114ac12a90d63da3cd46a3"
}
],
"dataset": [
{
"name": "Wikidata Politically Exposed Persons",
"url": "https://www.wikidata.org/wiki/Q35536706"
}
],
"photo": "https://storage.googleapis.com/sigma-public/pep/76be1c4e-79c0-41c6-af2d-b50ba273b69f.jpg",
"deceased": false,
"overview": "Sunday Oladimeji is a designated Politically Exposed Person (PEP) in Nigeria.",
"searchScore": 4,
"lastUpdated": "2026-04-08T17:04:59.235Z",
"firstSeen": "2024-04-29T12:31:00.296Z",
"confidenceScore": 73
}
],
"sanctions": [
{
"_id": "662f9b87d2b06e101bf6e48c",
"externalId": "NK-h72D4EeJstb2Db2jYG2P7c",
"type": "sanction",
"name": "Abu Abdullah ibn Umar Al-Barnawi",
"aliases": [
"Abu Abdullah ibn Umar al-Barnawi",
"Ba Idrisa"
],
"birth_date": "1989;1994",
"countries": [
"NG"
],
"entityType": "Person",
"gender": "male",
"sanctions": [
"Abu Abdullah ibn Umar Al-Barnawi was similarly flagged under terrorism sanctions.",
"Abu Abdullah ibn Umar Al-Barnawi identified as having links to Boko Haram or ISIL."
],
"photo": "https://storage.googleapis.com/sigma-public/pep/75f74f76-1b06-4b97-8115-d5dccd658b25.jpeg",
"deceased": false,
"searchScore": 4,
"lastUpdated": "2026-02-19T15:46:54.672Z",
"firstSeen": "2024-04-29T13:07:06.027Z",
"confidenceScore": 60
}
],
"adverseMedia": null
}
}
Customer Due Diligence
Fetch CDD Request Matches
GET api/v1/cdd-request/{id}/matches
Fetch CDD request screening matches
Path Parameters
Query Parameters
Comma-separated screening keys to include. Allowed values: pep, sanctions, adverseMedia. Defaults to all three.
⌘I